Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class ResourceInfo

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ResourceInfo

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ResourceInfo

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`ResourceInfo()`

Method Summary
`java.util.ArrayList<OrgModelEntityID>` | `getCapabilities()` List of the capabilities.
`java.util.ArrayList<OrgModelEntityID>` | `getGroups()` List of the groups.
`java.lang.String` | `getGUID()` GUID of the Resource
`java.util.ArrayList<OrgModelEntityID>` | `getPositions()` List of the positions.
`java.util.ArrayList<OrgModelEntityID>` | `getPrivileges()` List of the privileges.
`void` | `setGUID(java.lang.String gUID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceInfo

    public ResourceInfo()

Method Detail

### getGroups

    public java.util.ArrayList<OrgModelEntityID> getGroups()

  List of the groups.

  Returns:
    Returns the groups.

### getPositions

    public java.util.ArrayList<OrgModelEntityID> getPositions()

  List of the positions.

  Returns:
    Returns the positions.

### getCapabilities

    public java.util.ArrayList<OrgModelEntityID> getCapabilities()

  List of the capabilities.

  Returns:
    Returns the capabilities.

### getPrivileges

    public java.util.ArrayList<OrgModelEntityID> getPrivileges()

  List of the privileges.

  Returns:
    Returns the privileges.

### getGUID

    public java.lang.String getGUID()

  GUID of the Resource

  Returns:
    Returns the GUID

### setGUID

    public void setGUID(java.lang.String gUID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.